mpi4py (4.1.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:27:59 +0100

mpi4py (4.1.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Skip testPackUnpackExternal on 32-bit architectures.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 21 Dec 2025 22:17:46 +0300

mpi4py (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches doc_sphinx8.1_fix_PR629.patch
      and skip_failing_tests_PR690.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Oct 2025 13:06:07 +0200

mpi4py (4.1.0-9) unstable; urgency=medium

  * build on sh4 with -mno-lra (see Bug#1116453)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Sep 2025 15:54:33 +0200

mpi4py (4.1.0-8) unstable; urgency=medium

  * more updates to skip_failing_tests_PR690.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Sep 2025 17:11:35 +0200

mpi4py (4.1.0-7) unstable; urgency=medium

  * update skip_failing_tests_PR690.patch for ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Sep 2025 16:02:09 +0200

mpi4py (4.1.0-6) unstable; urgency=medium

  * debian patch skip_failing_tests_PR690.patch applies upstream PR#690
    amalgamating all debian test skips.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Sep 2025 21:56:00 +0200

mpi4py (4.1.0-5) unstable; urgency=medium

  * debian patch skip_mpich_universesize.patch skips testUniverseSize
    in test_environ.py with mpich (<5). See upstream Issue#679.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Sep 2025 16:53:00 +0200

mpi4py (4.1.0-4) unstable; urgency=medium

  * Team upload.
  * Replace doc_sphinx8.1_revert_PR629.patch with another patch, that
    makes the package build fine with both Sphinx 8.1 and 8.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Aug 2025 21:42:59 +0300

mpi4py (4.1.0-3) unstable; urgency=medium

  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Aug 2025 11:02:26 +0200

mpi4py (4.1.0-2) experimental; urgency=medium

  * skip testContiguousBigMPI on 32-bit systems.
    See https://github.com/mpi4py/mpi4py/issues/670

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jul 2025 14:59:02 +0200

mpi4py (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * build with MPI4PY_BUILD_MPIABI=1 to enable enhanced support for
    the MPI 5.0 standard ABI and the MPICH or Open MPI legacy ABIs
    Common ABI enables cross-support between OpenMPI and mpich,
    so Closes: #694307.
  * Build-Depends: pybuild-plugin-pyproject
    to build via pyproject.toml
  * update debian/rules
    - drop dh_auto_build override, use default mpicc wrapper
    - build docs before dh_auto_install, to ensure dh_auto_build has
      already been run
    - replace redundant overrides with execute_after_
    - remove redundant get-orig-dev-source
      (upstream now uses github not mercury hg for source repo)
  * debian patch doc_sphinx8.1_revert_PR629.patch reverts upstream
    PR#629 to enable doc build with sphinx 8.1.3.
    See upstream Issue#668.

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Jul 2025 11:22:51 +0200

mpi4py (4.0.3-4) unstable; urgency=medium

  * reenable PMIx tests. The problem is resolved (Bug#1098576).

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Mar 2025 21:20:49 +0100

mpi4py (4.0.3-3ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:15:49 +0000

mpi4py (4.0.3-3ubuntu2) questing; urgency=medium

  * Backport upstream patch to fix build with Sphinx 8.2 (LP: #2113468).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 08 Jun 2025 22:54:55 +0300

mpi4py (4.0.3-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining chamges:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 13:07:02 +0100

mpi4py (4.0.3-3) unstable; urgency=medium

  * skip spawn tests with OpenMPI. See Bug#1100120
  * avoid network-related (OPAL/libucs) tests errors by setting
    OMPI_MCA_btl_tcp_if_include=lo. Again, see Bug#1100120

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 23:03:55 +0100

mpi4py (4.0.3-2) unstable; urgency=medium

  * skip failing tests triggering a PMIX error in OpenMPI builds,
    to work around Bug#1098576
    - in test_util_pkl5: testIMProbe, testISSendAndRecv,
      testISSendCancel, testMessageProbeIProbe, testMProbe, testProbe,
      testTestAll, testGetStatusAll, testWaitAll
    - also test_util_pool: test_apply, test_async_error_callback,
      test_empty_iterable, test_imap, test_istarmap, test_map,
      test_pool_worker_lifetime_early_close, test_starmap,
      test_starmap_async
    - test_util_sync: testAcquireFree, testFree, testWaitForNotify,
      testWaitNotify, testDefault, testIter, testRoot, testNext,
      testStart, testTypechar, testStep, testAcquireRelease,
      testExclusion, testFairness, testAcquireNonblocking,
      test_unsupported_args, testWith, testValue, testBeginEnd
    - test_win: testAttributes, testCreateFlavor, testGetGroup,
      testGetAttr, testGetSetErrhandler, testGetSetInfo, testMemory,
      test_terminate, testGetSetName, testPyProps, testPickle,
      testSharedQuery, testAttachDetach

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 14:57:09 +0100

mpi4py (4.0.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:39:25 +0000

mpi4py (4.0.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 20:16:10 -0600

mpi4py (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Feb 2025 21:59:12 +0100

mpi4py (4.0.1-7) unstable; urgency=medium

  * drop DMA test skips. PMIX errors in bigendian (s390x) fixed by
    prrte patch in openmpi 5.0.6-1 (see Bug#1087800)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2025 23:18:53 +0100

mpi4py (4.0.1-6ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 29 Nov 2024 17:44:01 +0100

mpi4py (4.0.1-6) unstable; urgency=medium

  * mips64el is in trouble. Reinstate version restriction. Test
    default python only and skip all TestRMA.
  * skip testAccumulate from test_rma_nb on bigendian architectures
    (s390x ppc64 sparc64, not alpha). Skip separately from DMA skips.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 21:55:01 +0100

mpi4py (4.0.1-5) unstable; urgency=medium

  * update test skips
    - add alpha, sparc64 to the DMA skip list
    - DMA skip arches also skip testGetAccumulate
    - mips64el skips all TestRMA
  * revert mips64el version restriction, run tests on all supported
    python versions. The problem was TestRMA.

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2024 11:53:52 +0100

mpi4py (4.0.1-4) unstable; urgency=medium

  * s390x ppc64: skip all TestDPM tests (test_dynproc.py)
    see https://github.com/mpi4py/mpi4py/issues/586
    Closes: #1087609. Future ref. #1087800.
  * apply test skips to serial build tests
  * debian/rules: explicitly set DEB_HOST_ARCH
  * mips64el times out. Run build tests on default python only

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 23:37:00 +0100

mpi4py (4.0.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:34 +0100

mpi4py (4.0.1-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch
  * Add armhf and s390x to the list of architectures to ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2024 09:22:46 +0100

mpi4py (4.0.1-3) unstable; urgency=medium

  * s390x ppc64: skip testConnectAccept too

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 02:09:27 +0100

mpi4py (4.0.1-2) unstable; urgency=medium

  * skip testAcceptConnect (test_dynproc.TestDPM) on s390x ppc64
    which segfaults with PMIX_ERR_BAD_PARAM. Closes: #1087609.
  * reinstate skipping testPackUnpackExternal on sparc64.
    OpenMPI 4.1.2 broke memory alignment on sparc64,
    see https://github.com/mpi4py/mpi4py/issues/147
    Closes: #1059791

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2024 00:23:20 +0100

mpi4py (4.0.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_symbols_PR549.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Nov 2024 15:47:58 +0100

mpi4py (4.0.0-9) unstable; urgency=medium

  * Team upload.
  * Use the new OpenMPI 5 environment variable to allow oversubscription.
    This should allow the package to be built on systems with a single CPU.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Nov 2024 21:55:00 +0100

mpi4py (4.0.0-8) unstable; urgency=medium

  * python3-mpi4py Breaks: python3-pyzoltan (<< 1.0.1-10~)
    mpi4py 4 requires pyzoltan to patch the definition of MPI_Session

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Sep 2024 09:51:16 +0200

mpi4py (4.0.0-7) unstable; urgency=medium

  * update debian/copyright: mpi4py 4 was released under BSD-3-clause
  * avoid oversubscribing tests (i386 takes 1 hour running 3 processes
    where only 2 are available). Use no more than the available number
    of processors, except do use at least 2 processes.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Sep 2024 00:24:43 +0200

mpi4py (4.0.0-6) unstable; urgency=medium

  * debian/tests: fix test for DEB_HOST_ARCH (i386 uses 3 processes)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Sep 2024 10:21:08 +0200

mpi4py (4.0.0-5) unstable; urgency=medium

  * update debian/tests
    - run tests from mpi4py-test script
    - report number of available processing units (nproc)
    - run i386 tests with 3 processors not 5.
      mpich is particularly slow on i386 (times out).

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Sep 2024 09:36:37 +0200

mpi4py (4.0.0-4) unstable; urgency=medium

  * debian patch fix_symbols_PR549.patch applies upstream PR#549 to
    fix access of library symbols during tests. Needed for mpich tests
    on 32-bit arches.

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Sep 2024 20:31:46 +0200

mpi4py (4.0.0-3) unstable; urgency=medium

  * Apply MPI4PY_TEST_SPAWN=false with tests on all arches to avoid
    spawn failures with OpenMPI 4. Requires GITHUB_ACTIONS=true to
    activate. Spawn is generally flakey with  OpenMPI 4. Reenable
    spawn tests later with OpenMPI 5. Closes: #1081459.

 -- Drew Parsons <dparsons@debian.org>  Thu, 12 Sep 2024 09:33:57 +0200

mpi4py (4.0.0-2) unstable; urgency=medium

  * update debian patch skip_ppc_failing_tests.patch to skip
    testArgsOnlyAtRoot on powerpc. See upstream Issue#541.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Sep 2024 21:56:15 +0200

mpi4py (4.0.0-1exp2) experimental; urgency=medium

  * reinstate and update debian patch skip_ppc_failing_tests.patch.
    Add ppc skip to testCodeCharStr.
  * add debian patch skip_s390x_failing_tests.patch to skip
    test_util_pool.TestProcessPool.test_apply on s390x
  * reinstate debian/patches/skip_testPackUnpackExternal_sparc64.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 11:43:15 +0200

mpi4py (4.0.0-1exp1) experimental; urgency=medium

  * Major new upstream release
    - Build-Depends: cython3
    - applies or deprecates debian patches
      docs_privacy.patch
      fix_docs.patch
      io_long_double_i386_2d868d7.patch
      mpich_32bit_13e8af6.patch
      up_no_modlibs
  * doc build no longer uses usrman subdir
  * mpi4py man page now provided in section 3
  * drop deprecated debian/missing-sources
  * new major release, make a clean sweep of patches: drop all debian
    patches skipping tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2024 23:49:55 +0200

mpi4py (3.1.6-9ubuntu1) oracular; urgency=medium

  * Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Sep 2024 10:51:28 +0000

mpi4py (3.1.6-9) unstable; urgency=medium

  * debian patch mpich_32bit_13e8af6.patch applies upstream commit
    13e8af6 to better handle 32-bit architectures.
    Drop test_pack skipping from skip_failing_tests_32bit_mpich.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2024 11:47:14 +0200

mpi4py (3.1.6-8) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    spawn tests (BaseTestSpawn) with mpich on all 32-bit systems.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 23:46:26 +0200

mpi4py (3.1.6-7) unstable; urgency=medium

  * update debian patch skip_failing_tests_32bit_mpich.patch to skip
    testPackUnpackExternal with mpich on all 32-bit systems.
    The previous i386 "success" was actually an ignored failure.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Jul 2024 13:39:02 +0200

mpi4py (3.1.6-6) unstable; urgency=medium

  * debian patch test_exception_MPI_ERR_ERRHANDLER_mpich.patch defines
    MPI_ERR_ERRHANDLER=80 to enable mpich to pass test_exceptions.py.
    MPI_ERR_ERRHANDLER is defined and used by mpich 4.2 but not yet
    implemented by openmpi 4.1.6. See upstream Issue#514.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 10:42:42 +0200

mpi4py (3.1.6-5) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip all spawn tests
    (BaseTestSpawn) for failing mpich 32-bit arches
    (armel, armhf, hppa, powerpc)

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 12:04:34 +0200

mpi4py (3.1.6-4) unstable; urgency=medium

  * update skip_failing_tests_32bit_mpich.patch to skip testCommSpawn
    on 32-bit mpich, and apply spawn skips to armel, armhf, hppa.
  * run tests with mpi -v verbose flag to help debug mpich failures

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 21:58:29 +0200

mpi4py (3.1.6-3) unstable; urgency=medium

  * fix debian patch s)kip_failing_tests_32bit_mpich.patch
    - treat armel, armhf, hppa machine ids as prefixes (arm*, parisc*)
      (it's actually armv7l, parisc64 on porterboxes)
    - skip testArgsOnlyAtRootMultiple (test_spawn) on powerpc with mpich
  * update intersphinx_use_local_inventory.patch to include local
    numpy docs. Build-Depends-Indep: python-numpy-doc

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 16:00:41 +0200

mpi4py (3.1.6-2) unstable; urgency=medium

  * debian patch skip_failing_tests_32bit_mpich.patch skips failing
    tests with 32-bit mpich. See upstream Issue#514. Closes: #1075980.
    - armel, armhf, hppa: testPackUnpackExternal (test_pack.py)
    - powerpc: testArgsOnlyAtRoot (test_spawn.py)

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jul 2024 11:22:23 +0200

mpi4py (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * build and test over all supported (not requested) python versions
  * build docs against default python version
    (need built version to access MPI python extensions)
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 May 2024 17:46:54 +0200

mpi4py (3.1.5-7) unstable; urgency=medium

  * Team upload

  [ Zixing Liu ]
  * Un-break Sphinx documentation generation by removing PYTHONPATH overrides
    (Closes: #1066837)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 May 2024 13:23:44 +0000

mpi4py (3.1.5-6) unstable; urgency=medium

  * debian patch intersphinx_use_local_inventory.patch uses python3
    docs when building docs. Thanks Zixing Liu from Canonical.
    Closes: #1066837, #1063409
  * add Drew Parsons as uploader

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 May 2024 19:33:49 +0200

mpi4py (3.1.5-5) unstable; urgency=medium

  * Team upload

  [ Matthias Klose ]
  * Let the autopkg test depend on setuptools instead of distutils.
    Closes: #1061813

  [ Andreas Tille ]
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Use correct machine-readable copyright file URI.
  * Add missing build-dependency on python3-setuptools.
  * Add upstream metadata
  * Remove debian/gbp.conf since it contains only default values from
    team policy

 -- Andreas Tille <tille@debian.org>  Tue, 20 Feb 2024 11:49:49 +0100

mpi4py (3.1.5-4) unstable; urgency=medium

  * Team upload.
  * Drop unused Build-Depends: rsh-client.

 -- Bastian Germann <bage@debian.org>  Sun, 14 Jan 2024 20:58:06 +0000

mpi4py (3.1.5-3) unstable; urgency=medium

  * Team upload.
  * reactivate skip_ppc_failing_tests.patch. ppc* is still failing
    testCreateF90{Complex,Real}Double with openmpi 4.1.6.
  * update skip_testPackUnpackExternal_sparc64.patch to skip
    testPackUnpackExternal on sparc64 for all OpenMPI versions <5.0.
    Review next time with OpenMPI 5. See Bug#1059791.

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jan 2024 14:24:22 +0100

mpi4py (3.1.5-2) unstable; urgency=medium

  * Team upload.
  * Build-Depends: cython3-legacy
  * disable debian patch skip_ppc_failing_tests.patch to check if
    testCreateF90{Complex,Real}Double now passes on ppc* (Bug#948655)

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jan 2024 10:03:27 +0100

mpi4py (3.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2023 10:38:49 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-mpi4py`.
